1 2 Previous Next 21 Replies Latest reply: Oct 25, 2013 11:36 PM by 35b1eb45-3daf-4dc3-bf15-20b8bc4697b3 Go to original post RSS
      • 15. Re: OEPE not compatible with Juno (4.2)
        953221
        Yeah, I'd like to tell you the detail of my operation
        1st, create a project: New->Other->Dynamic Web project
        2nd, choose the "Target Runtime" to "Weblogic Server 11gR1(10.3.4)" with the module version is 2.5 and the Configuration as default. (You have add a server runtime before, I trust you :P)
        3rd, press "Finish" then you'll get the error.

        Here comes the detail of the error log:
        java.lang.ClassCastException: java.lang.String cannot be cast to oracle.eclipse.tools.weblogic.WebLogicServerInstall
             at oracle.eclipse.tools.weblogic.syslib.internal.SystemLibrariesContainerDefMethods.addDefaultSystemLibraries(SystemLibrariesContainerDefMethods.java:24)
             at oracle.eclipse.tools.weblogic.syslib.internal.SystemLibrariesContainerDef.addDefaultSystemLibraries(SystemLibrariesContainerDef.java:112)
             at oracle.eclipse.tools.weblogic.syslib.SystemLibrariesContainer.getContainerDef(SystemLibrariesContainer.java:164)
             at oracle.eclipse.tools.weblogic.syslib.SystemLibrariesContainer.getContainerDef(SystemLibrariesContainer.java:175)
             at oracle.eclipse.tools.weblogic.syslib.internal.SystemLibrariesContainerImpl.createContainer(SystemLibrariesContainerImpl.java:180)
             at oracle.eclipse.tools.weblogic.syslib.internal.SystemLibrariesContainerImpl$Initializer.initialize(SystemLibrariesContainerImpl.java:259)
             at org.eclipse.jdt.internal.core.JavaModelManager.initializeContainer(JavaModelManager.java:2851)
             at org.eclipse.jdt.internal.core.JavaModelManager.getClasspathContainer(JavaModelManager.java:1880)
             at org.eclipse.jdt.core.JavaCore.getClasspathContainer(JavaCore.java:3128)
             at org.eclipse.jdt.internal.core.JavaProject.resolveClasspath(JavaProject.java:2698)
             at org.eclipse.jdt.internal.core.JavaProject.resolveClasspath(JavaProject.java:2621)
             at org.eclipse.jdt.internal.core.ClasspathEntry.validateClasspath(ClasspathEntry.java:1649)
             at org.eclipse.jdt.internal.core.SetClasspathOperation.verify(SetClasspathOperation.java:118)
             at org.eclipse.jdt.internal.core.JavaModelOperation.runOperation(JavaModelOperation.java:782)
             at org.eclipse.jdt.internal.core.JavaProject.setRawClasspath(JavaProject.java:3102)
             at org.eclipse.jdt.internal.core.JavaProject.setRawClasspath(JavaProject.java:3064)
             at org.eclipse.jdt.internal.core.JavaProject.setRawClasspath(JavaProject.java:3117)
             at org.eclipse.jst.common.project.facet.core.internal.ClasspathUtil.setProjectClasspath(ClasspathUtil.java:80)
             at org.eclipse.jst.common.project.facet.core.internal.ClasspathUtil.addClasspathEntries(ClasspathUtil.java:192)
             at org.eclipse.jst.common.project.facet.core.internal.ClasspathUtil.addClasspathEntries(ClasspathUtil.java:147)
             at org.eclipse.jst.common.project.facet.core.ClasspathHelper.addClasspathEntries(ClasspathHelper.java:161)
             at org.eclipse.jst.common.project.facet.core.ClasspathHelper.addClasspathEntries(ClasspathHelper.java:135)
             at org.eclipse.jst.j2ee.web.project.facet.WebFacetInstallDelegate.execute(WebFacetInstallDelegate.java:174)
             at org.eclipse.wst.common.project.facet.core.internal.FacetedProject.callDelegate(FacetedProject.java:1477)
             at org.eclipse.wst.common.project.facet.core.internal.FacetedProject.modifyInternal(FacetedProject.java:441)
             at org.eclipse.wst.common.project.facet.core.internal.FacetedProject.mergeChangesInternal(FacetedProject.java:1181)
             at org.eclipse.wst.common.project.facet.core.internal.FacetedProject.access$2(FacetedProject.java:1117)
             at org.eclipse.wst.common.project.facet.core.internal.FacetedProject$5.run(FacetedProject.java:1099)
             at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
             at org.eclipse.wst.common.project.facet.core.internal.FacetedProject.mergeChanges(FacetedProject.java:1109)
             at org.eclipse.wst.common.project.facet.core.internal.FacetedProjectWorkingCopy.commitChanges(FacetedProjectWorkingCopy.java:2020)
             at org.eclipse.wst.common.project.facet.ui.ModifyFacetedProjectWizard.performFinish(ModifyFacetedProjectWizard.java:400)
             at org.eclipse.wst.web.ui.internal.wizards.NewProjectDataModelFacetWizard.performFinish(NewProjectDataModelFacetWizard.java:282)
             at org.eclipse.wst.common.project.facet.ui.ModifyFacetedProjectWizard$3.run(ModifyFacetedProjectWizard.java:331)
             at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
             at org.eclipse.wst.common.project.facet.ui.ModifyFacetedProjectWizard$4.run(ModifyFacetedProjectWizard.java:345)
             at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)

        I wish this will help you, and thanks for your hard work on oepe!!
        • 16. Re: OEPE not compatible with Juno (4.2)
          Kosta-Oracle
          These repro steps work for me. Based on the stack trace, it looks like there is something wrong with your Eclipse installation. Various classes that should be there not loading, etc. I recommend starting with a fresh Eclipse install and installing OEPE again.

          - Konstantin
          • 17. Re: OEPE not compatible with Juno (4.2)
            953221
            OK,I'll follow your advice to take a try... Maybe I have installed so many plugins...
            • 18. Re: OEPE not compatible with Juno (4.2)
              953764
              I am using the OEPE Update Site http://download.oracle.com/otn_software/oepe/juno

              I am getting the following error:
              An error occurred while collecting items to be installed
              session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
              Problems downloading artifact: osgi.bundle,oracle.database.driver.jdk50,11.1.0.7.
              MD5 hash is not as expected. Expected: 0af78eef9620452ef691ade4f15db61c and found 297d79fb939534e67585879610fdcb21.
              • 19. Re: OEPE not compatible with Juno (4.2)
                Kosta-Oracle
                This type of error usually indicates a network glitch. Try the install again. If you continue to experience issues, you may have better luck downloading the repository zip (linked on the download site) so that you have a local OEPE repository to reference in Eclipse.

                - Konstantin

                Edited by: kosta on Aug 3, 2012 8:18 AM
                • 20. Re: OEPE not compatible with Juno (4.2)
                  553927
                  I am also having a similar problem. Other things get downloaded so I think the network is fine.

                  Any help appreciated.

                  Eric

                  An error occurred while collecting items to be installed
                  session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
                  Artifact not found: http://download.oracle.com/otn_software/oepe/juno/plugins/oracle.eclipse.tools.common_5.1.1.201210010857.jar.
                  http://download.oracle.com/otn_software/oepe/juno/plugins/oracle.eclipse.tools.common_5.1.1.201210010857.jar
                  1 2 Previous Next